# NAS Low Power Board
Generate a PCB with the following features:
* 1x FAN RPM Control
* 4x HDD Powercontrol

# Hardware
* ESP8266 / ESP32

* Temperatur Sensor (DS18B20)
  JST-Pinout: 3V3, Sensor, GND

* HFD27-005-S Signal-Relais subminiatur, 5 V DC, 2 A, 2 Wechsler
  16pin IC socket
  20.2 x 10.0 x 11.5 mm Outline DImensions
* JST - Stiftleiste, RM 3,96 mm, 1x4 polig, gerade - VH
  JST XH4P ST JST
* 4PINs on PCB for MOLEX Connectors

# Software
* Controllable via USB-UART, simple CMD-control

## Interfaces
* USB-UART
* GPIOs
 * RelayA  D1/GPIO5
 * RelayB  D2/GPIO4
 * RelayC  D0/GPIO16
 * RelayD  D5/GPIO14
 * FAN-PWM D6/GIO12 
 * FAN-IN  D7/GPIO13
 * DS20B18 D4/GPIO2
 * Button  D3/GPIO0

## Software
https://nodemcu.readthedocs.io/en/dev-esp32/modules/spi/
https://forum.arduino.cc/t/esp32-spi-master-slave-file-transfer/1177128/5
